// Copyright (C) 2020 Daniel Mall
#ifndef CDEMOSPOKES_H
#define CDEMOSPOKES_H
#include "CDemoBase.h"

class CDemoSpokes final : public CDemoBase
{
public:
	CDemoSpokes();
	virtual ~CDemoSpokes();
	virtual void Frame() override;
	virtual void EventInput(const sapp_event* event) override;
	virtual void PassAction(sg_pass_action& passAction) override;
	virtual void Activate() override;
	virtual void Deactivate() override;

private:
	void Init();
	void ShowCommandGui();
	void ToggleGeometry();

private:
	/// alternative shape
	bool m_bUseAlternative = false;
};

#endif
